# Revoke an API key Revokes an API key, permanently deactivating it so it can no longer be used for authentication. Request: id - ID of the API key to revoke. Revocation cannot be undone. Response: apiKey - The ApiKey record with the revokedAt timestamp populated. Endpoint: POST /api/v1/api-key/revoke-api-key Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `id` (string) Rule data fields ## Response 200 fields (application/json): - `apiKey` (object) - `apiKey.id` (string) Rule data fields - `apiKey.name` (string) Rule data fields - `apiKey.keyHint` (string) Rule data fields - `apiKey.expiresAt` (object) - `apiKey.expiresAt.seconds` (integer) - `apiKey.expiresAt.nanos` (integer) - `apiKey.lastUsedAt` (object) - `apiKey.createdAt` (object) - `apiKey.revokedAt` (object) ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)